Package ru.bitel.bgbilling.kernel.contract.limit.common.bean

# Class ContractLimitLog

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.bgbilling.kernel.contract.limit.common.bean.ContractLimitLog

All Implemented Interfaces:
  `Serializable`, `Idable`

public class ContractLimitLog extends Id

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `ContractLimitLog.Builder`

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ContractLimitLog()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ContractLimitLog.Builder`
  `builder()`
  `String`
  `getComment()`
  `int`
  `getContractId()`
  `Date`
  `getDate()`
  `int`
  `getDays()`
  `BigDecimal`
  `getLimitValue()`
  `int`
  `getUserId()`
  `String`
  `getUserName()`
  `void`
  `setComment(String comment)`
  `void`
  `setContractId(int contractId)`
  `void`
  `setDate(Date date)`
  `void`
  `setDays(int days)`
  `void`
  `setLimitValue(BigDecimal limitValue)`
  `void`
  `setUserId(int userId)`
  `void`
  `setUserName(String userName)`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ContractLimitLog

    public ContractLimitLog()

- ## Method Details

  - ### getContractId

    public int getContractId()

  - ### getDate

    public Date getDate()

  - ### getUserId

    public int getUserId()

  - ### getUserName

    public String getUserName()

  - ### getLimitValue

    public BigDecimal getLimitValue()

  - ### getComment

    public String getComment()

  - ### getDays

    public int getDays()

  - ### setContractId

    public void setContractId(int contractId)

  - ### setDate

    public void setDate(Date date)

  - ### setUserId

    public void setUserId(int userId)

  - ### setUserName

    public void setUserName(String userName)

  - ### setLimitValue

    public void setLimitValue(BigDecimal limitValue)

  - ### setComment

    public void setComment(String comment)

  - ### setDays

    public void setDays(int days)

  - ### builder

    public static ContractLimitLog.Builder builder()